FarbTafel farben;

void setup(){
  size(800,800);
  farben= new FarbTafel();
  farben.farbTafelErzeugen();  
  setFarbVerlauf(farben.farbenSpezialC4096);
}
///////////////////////////////////////////////////////////////
void draw() {

}
//////////////////////////////////////////////////////////////////
void setFarbVerlauf(color[] farbTafel){
  for (int i = 0; i < 800; i++) {     
      if(i % 128 !=0) stroke(farbTafel[i]);
      else stroke(255);//weiße Striche zu Kontrolle      
      line(i, 0, i, height/4);  
  }
   for (int i = 0; i < 800; i++) {     
      if(i % 128 !=0) stroke(farbTafel[800+i]);
      else stroke(255);//weiße Striche zu Kontrolle      
      line(i, height/4, i, height/2);  
  }
  for (int i = 0; i < 800; i++) {     
      if(i % 128 !=0) stroke(farbTafel[1600+i]);
      else stroke(255);//weiße Striche zu Kontrolle      
      line(i,  height/2, i, 3*height/4);  
  }
   for (int i = 0; i < 800; i++) {     
      if(i % 128 !=0) stroke(farbTafel[2400+i]);
      else stroke(255);//weiße Striche zu Kontrolle      
      line(i, 3*height/4, i, height);  
  }   
}
////////////////////////////////////////////////////////////////////
void mousePressed() { 
  farben.farbTafelErzeugen();  
  setFarbVerlauf(farben.farbenSpezialC4096);
}

//////////////////////////////////////////////////////////////
class FarbTafel {
  
float r1,g1,b1;
float r2,g2,b2;
float S1 ; 
float S2 ; 
float zufall;
float hueWert ;
color farbe; 
color farbeAlt = color(255);
int ankerFarbenAbstand = 200;

color[] farbenAnker8192; 
color[] farben8192;// Anzahl Farben 8192, Ankerabstand: 128

color[] farbenAnker8192A; 
color[] farben8192A;//Anzahl Farben 8192, Ankerabstand: 128

color[] farbenAnkerBonbon; 
color[] farben8192Bonbon;//Anzahl Farben 8192, Ankerabstand: 128

color[] farbenAnkerSemiBonbon; 
color[] farben8192SemiBonbon;//Anzahl Farben 8192, Ankerabstand: 128

color[] farbenAnker1024; 
color[] farben1024;//Anzahl Farben 1024, Ankerabstand: 64

color[] farbenAnker1024A; 
color[] farben1024A;//Anzahl Farben 1024:, Ankerabstand: 64

color[] farbenTrapAnker1024;
color[] farbenTrap1024;//Anzahl Farben 1024:, Ankerabstand: 256

color[][] farben8KreiseAnker1152;
color[] farben8Kreise1152;//Anzahl Farben 1152:, Ankerabstand: 128

color[] farbenAnker2048; 
color[] farben2048;//Anzahl Farben 2048:, Ankerabstand: 64, Anzahl Anker: 33

color[] farbenSpezialAnker2048; 
color[] farbenSpezial2048;//Anzahl Farben 2048, Ankerabstand: 64, Anzahl Anker: 33

color[] farbenSpezialAnker4096; 
color[] farbenSpezial4096;//Anzahl Farben 4096:, Ankerabstand: 64, Anzahl Anker: 65

color[] farbenSpezialAnkerA4096; 
color[] farbenSpezialA4096;//Anzahl Farben 4096:, Ankerabstand: 128, Anzahl Anker: 33

color[] farbenSpezialAnkerB4096; 
color[] farbenSpezialB4096;//Anzahl Farben 4096:, Ankerabstand: 128, Anzahl Anker: 33

color[] farbenSpezialAnkerC4096; 
color[] farbenSpezialC4096;//Anzahl Farben 4096:, Ankerabstand: 128, Anzahl Anker: 33


///////////////////////////////////////////////////////////////////////////////////////////////////////
void farbTafelErzeugen(){

//farben8192----------------------------------------------------------------------------------
  farbenAnker8192 = new color[65];//Initialsierung
  for(int i=0;i<65;i++){
     farbenAnker8192[i] = color(0);
  }
  farben8192 = new color[8192];
   for(int i=0;i<8192;i++){
     farben8192[i] = color(0);
  }
  farbenAnker8192[0] = color(255);//Startwert
  for(int j=1; j<64; j++){
    farbenAnker8192[j] = farbeBestimmen( farbenAnker8192[j-1]);  //Die benachbarten Ankerfarben sollen sich nicht zu sehr unterscheiden!
  }
  farbenAnker8192[64] = color(0);//Endwert
  
  //Hier werden die Farben von  farben8192 bestimmt.
  for(int i=0; i<64; i++){
    zwischenFarbenBestimmen8192(i*128,farbenAnker8192[i],farbenAnker8192[i+1]);
  }
//--------------------------------------------------------------------------------------------------------- 
  
//farben8192A----------------------------------------------------------------------------------  
    
  farbenAnker8192A = new color[65];//Initialsierung
  for(int i=0;i<65;i++){
     farbenAnker8192A[i] = color(0);
  }
  farben8192A = new color[8192];
   for(int i=0;i<8192;i++){
     farben8192A[i] = color(0);
  }
  farbenAnker8192A[0] = color(0);//Startwert
   for(int j=1; j<64; j++){
    farbenAnker8192A[j] = farbeBestimmen( farbenAnker8192A[j-1]);  //Die benachbarten Ankerfarben sollen sich nicht zu sehr unterscheiden! 
  } 
  farbenAnker8192A[64] = color(0);//Endwert
  
  //Hier werden die Farben von  farben8192A bestimmt.
  for(int i=0; i<64; i++){
    zwischenFarbenBestimmen8192A(i*128,farbenAnker8192A[i],farbenAnker8192A[i+1]);
  }
//----------------------------------------------------------------------------------------------------------  
  
//farben8192Bonbon----------------------------------------------------------------------------------    
  
  farbenAnkerBonbon = new color[65];//Initialsierung
  for(int i=0;i<64;i++){
     farbenAnkerBonbon[i] = color(0);
  }
  farben8192Bonbon = new color[8192];
   for(int i=0;i<8192;i++){
     farben8192Bonbon[i] = color(0);
  }
  farbenAnkerBonbon[0] = color(255);//Startwert
  for(int j=1; j<64; j++){
    colorMode(HSB,256,256,256);
    farbenAnkerBonbon[j] = color(random(255),255,255);  //HSB- Farben als Anker   
  }  
  farbenAnkerBonbon[64] = color(0);//Endwert
  
  //Hier werden die Farben von farben8192Bonbon bestimmt.
  for(int i=0; i<64; i++){
    zwischenFarbenBestimmenBonbon8192(i*128,farbenAnkerBonbon[i],farbenAnkerBonbon[i+1]);
  }
//----------------------------------------------------------------------------------------------------------  
  
//farben8192SemiBonbon----------------------------------------------------------------------------------    
   
    
  farbenAnkerSemiBonbon = new color[65];//Initialsierung
  for(int i=0;i<64;i++){
     farbenAnkerSemiBonbon[i] = color(0);
  }
  farben8192SemiBonbon = new color[8192];
   for(int i=0;i<8192;i++){
     farben8192SemiBonbon[i] = color(0);
  }
  farbenAnkerSemiBonbon[0] = color(255);//Startwert
  for(int j=1; j<64; j++){
    if(j%2 ==0){
        colorMode(HSB,256,256,256);
        farbenAnkerSemiBonbon[j] = color(random(255),255,255);  //HSB- Farben als Anker   
    }else{
        colorMode(RGB,256,256,256);
        farbenAnkerSemiBonbon[j] = color(random(255),random(255),random(255));//println(farbenAnkerSemiBonbon[j]);
    }
  }  
  farbenAnkerSemiBonbon[64] = color(0);//Endwert
   
  //Hier werden die Farben von farben8192SemiBonbon bestimmt.
  for(int i=0; i<64; i++){
    zwischenFarbenBestimmenSemiBonbon8192(i*128,farbenAnkerBonbon[i],farbenAnkerBonbon[i+1]);
  }   
 
//---------------------------------------------------------------------------------------   
  
//Farbtafel farben1024------------------------------------------------------------------------------------

  farbenAnker1024 = new color[17];//Initialsierung und Festlegung, Farbtafel immer gleich!
  farbenAnker1024[0] = color(0,0,0);
  farbenAnker1024[1] = color(0,0,30);
  farbenAnker1024[2] = color(0,0,60);
  farbenAnker1024[3] = color(0,0,90);
  farbenAnker1024[4] = color(0,30,60);
  farbenAnker1024[5] = color(0,60,30);
  farbenAnker1024[6] = color(0,60,60);
  farbenAnker1024[7] = color(0,30,30);
  farbenAnker1024[8] = color(0,0,0);
  farbenAnker1024[9] = color(0,40,60);
  farbenAnker1024[10] = color(0,50,100);
  farbenAnker1024[11] = color(0,100,150);
  farbenAnker1024[12] = color(0,100,100);
  farbenAnker1024[13] = color(0,150,0);
  farbenAnker1024[14] = color(0,100,0);
  farbenAnker1024[15] = color(0,50,0);
  farbenAnker1024[16] = color(0,0,0);
  
  farben1024 = new color[1024];
   for(int i=0;i<1024;i++){
     farben1024[i] = color(0);
  }
   for(int i=0; i<16; i++){
    zwischenFarbenBestimmen1024(i*64,farbenAnker1024[i],farbenAnker1024[i+1]);
  }
//-------------------------------------------------------------------------------------

//Farbtafel farben1024A------------------------------------------------------------------------------------

  farbenAnker1024A = new color[17];//Initialsierung und Festlegung, Farbtafel immer gleich!
  farbenAnker1024A[0]  = color(255);
  farbenAnker1024A[1]  = color(150,0,0);
  farbenAnker1024A[2]  = color(random(256),random(256),random(256));
  farbenAnker1024A[3]  = color(0,0,150);
  farbenAnker1024A[4]  = color(random(256),random(256),random(256));
  farbenAnker1024A[5]  = color(255,0,255);
  farbenAnker1024A[6]  = color(random(256),random(256),random(256));
  farbenAnker1024A[7]  = color(0,0,255);
  farbenAnker1024A[8]  = color(random(256),random(256),random(256));
  farbenAnker1024A[9]  = color(0,255,255);
  farbenAnker1024A[10] = color(random(256),random(256),random(256));
  farbenAnker1024A[11] = color(0,255,0);
  farbenAnker1024A[12] = color(random(256),random(256),random(256));
  farbenAnker1024A[13] = color(255,255,0);
  farbenAnker1024A[14] = color(random(256),random(256),random(256));
  farbenAnker1024A[15] = color(255,0,0);
  farbenAnker1024A[16] = color(0);
  
  farben1024A = new color[1024];
   for(int i=0;i<1024;i++){
     farben1024A[i] = color(0);
  }
   for(int i=0; i<16; i++){
    zwischenFarbenBestimmen1024(i*64,farbenAnker1024A[i],farbenAnker1024A[i+1]);
  }
//-------------------------------------------------------------------------------------

//farbenTrap1024------------------------------------------------------------------------------------
  farbenTrapAnker1024 = new color[5];//Initialsierung
  
  farbenTrapAnker1024[0] = color(255,0,0);
  farbenTrapAnker1024[1] = color(0,0,0);
  farbenTrapAnker1024[2] = color(0,0,255);
  farbenTrapAnker1024[3] = color(0,0,0);
  farbenTrapAnker1024[4] = color(0,255,0);
  
   /* for(int i =1 ; i<5;i++){
    farbenTrapAnker1024[i]= color(random(255),random(255),random(255));
  }*/
  
  farbenTrap1024 = new color[1024];
  for(int i=0;i<1024;i++){
     farbenTrap1024[i] = color(0);
  }

  for(int i=0; i<4; i++){
    zwischenFarbenBestimmenTrap1024(i*256,farbenTrapAnker1024[i],farbenTrapAnker1024[i+1]);
  }
  
//---------------------------------------------------------------------------------------------

//farben8Kreise1152-----------------------------------------------------------------------------------
  farben8KreiseAnker1152 = new color[9][2];  
  for (int i = 0; i < 9; i++) {
    for (int j = 0; j < 2; j++) {
      farben8KreiseAnker1152[i][j] = color(0);
    }
 }

 farben8KreiseAnker1152[0][0] = color(228,0,0);     farben8KreiseAnker1152[0][1] = color(100,0,0);//rot
 farben8KreiseAnker1152[1][0] = color(0,228,0);     farben8KreiseAnker1152[1][1] = color(0,100,0);//grün
 farben8KreiseAnker1152[2][0] = color(0,0,228);     farben8KreiseAnker1152[2][1] = color(0,0,100);//blau
 farben8KreiseAnker1152[3][0] = color(228,228,0);   farben8KreiseAnker1152[3][1] = color(100,100,0);//gelb 
 farben8KreiseAnker1152[4][0] = color(228,0,228);   farben8KreiseAnker1152[4][1] = color(100,0,100);//türkis
 farben8KreiseAnker1152[5][0] = color(0,228,228);   farben8KreiseAnker1152[5][1] = color(0,100,100);//magenta
 farben8KreiseAnker1152[6][0] = color(248,168,0);   farben8KreiseAnker1152[6][1] = color(120,0,40);///orange
 farben8KreiseAnker1152[7][0] = color(128,0,228);   farben8KreiseAnker1152[7][1] = color(78,0,100); //violett
 farben8KreiseAnker1152[8][0] = color(255);         farben8KreiseAnker1152[8][1] = color(100); //grau
 
 farben8Kreise1152 = new color[1152];
 for(int i=0;i<1152;i++){
     farben8Kreise1152[i] = color(0);
  }
 for(int i=0; i<9;i++){
     zwischenFarbenBestimmen8Kreise1152( i*128,farben8KreiseAnker1152[i][0] , farben8KreiseAnker1152[i][1] );
 } 
 
//farben2048----------------------------------------------------------------------------------
  farbenAnker2048 = new color[33];//Initialsierung
  for(int i=0;i<33;i++){
     farbenAnker2048[i] = color(0);
  }
  farben2048 = new color[2048];
   for(int i=0;i<2048;i++){
     farben2048[i] = color(0);
  }
  farbenAnker2048[0] = color(255);//Startwert
  for(int j=1; j<32; j++){
    farbenAnker2048[j] = farbeBestimmen( farbenAnker2048[j-1]);  //Die benachbarten Ankerfarben sollen sich nicht zu sehr unterscheiden!
  }
  farbenAnker2048[32] = color(0);//Endwert
  
  //Hier werden die Farben von  farben8192 bestimmt.
  for(int i=0; i<32; i++){
    zwischenFarbenBestimmen2048(i*64,farbenAnker2048[i],farbenAnker2048[i+1]);
  }
//--------------------------------------------------------------------------------------------------------- 

//farbenSpezial2048----------------------------------------------------------------------------------
  farbenSpezialAnker2048 = new color[33];//Initialsierung
  for(int i=0;i<33;i++){
     farbenSpezialAnker2048[i] = color(0);
  }
  farbenSpezial2048 = new color[2048];
   for(int i=0;i<2048;i++){
     farbenSpezial2048[i] = color(0);
  }
  farbenSpezialAnker2048[0] = color(255);//Startwert
  farbeAlt = farbenSpezialAnker2048[0];
  colorMode(HSB,256,256,256);
  for(int j=1; j<32; j=j+2){
    color farbeHell = farbenHellBestimmen();
    farbenSpezialAnker2048[j] = farbeHell;
    farbenSpezialAnker2048[j+1] = color(hue(farbeHell), saturation(farbeHell),brightness(farbeHell)- 200);
  }
  farbenSpezialAnker2048[32] = color(0);//Endwert
  
  //Hier werden die Farben von  farben8192 bestimmt.
  for(int i=0; i<32; i++){
    zwischenFarbenBestimmenSpezial2048(i*64,farbenSpezialAnker2048[i],farbenSpezialAnker2048[i+1]);
  }
//--------------------------------------------------------------------------------------------------------- 

//farbenSpezial4096----------------------------------------------------------------------------------
  farbenSpezialAnker4096 = new color[65];//Initialsierung
  for(int i=0;i<65;i++){
     farbenSpezialAnker4096[i] = color(0);
  }
  farbenSpezial4096 = new color[4096];
   for(int i=0;i<4096;i++){
     farbenSpezial4096[i] = color(0);
  }
  farbenSpezialAnker4096[0] = color(255);//Startwert
  colorMode(HSB,256,256,256);
  for(int j=1; j<64; j=j+2){
    color farbeHell = farbenHellBestimmen();
    farbenSpezialAnker4096[j] = farbeHell;
    farbenSpezialAnker4096[j+1] = color(hue(farbeHell), saturation(farbeHell),brightness(farbeHell)- random(150,220));
  }
  farbenSpezialAnker4096[64] = color(0);//Endwert
  
  //Hier werden die Farben von  farbenSpezial4096 bestimmt.
  for(int i=0; i<64; i++){
    zwischenFarbenBestimmenSpezial4096(i*64,farbenSpezialAnker4096[i],farbenSpezialAnker4096[i+1]);
  }
//--------------------------------------------------------------------------------------------------------- 

//farbenSpezialA4096----------------------------------------------------------------------------------
  farbenSpezialAnkerA4096 = new color[33];//Initialsierung
  for(int i=0;i<33;i++){
     farbenSpezialAnkerA4096[i] = color(0);
  }
  farbenSpezialA4096 = new color[4096];
   for(int i=0;i<4096;i++){
     farbenSpezialA4096[i] = color(0);
  }
  farbenSpezialAnkerA4096[0] = color(0,255,255);//Startwert: rot
  colorMode(HSB,256,256,256);
  for(int j=1; j<32; j=j+2){
    color farbeHell = farbenHellBestimmen();
    farbenSpezialAnkerA4096[j] = farbeHell;
    farbenSpezialAnkerA4096[j+1] = color(hue(farbeHell), saturation(farbeHell),brightness(farbeHell)- random(150,220));//etwas dunkler
  }
  farbenSpezialAnkerA4096[32] = color(160,255,255);//Endwert: blau
  
  //Hier werden die Farben von  farbenSpezialA4096 bestimmt.
  for(int i=0; i<32; i++){
     zwischenFarbenBestimmenSpezialA4096(i*128,farbenSpezialAnkerA4096[i],farbenSpezialAnkerA4096[i+1]);
  }
//--------------------------------------------------------------------------------------------------------- 

//farbenSpezialB4096--beginnt mit schwarz--------------------------------------------------------------------------------
  farbenSpezialAnkerB4096 = new color[33];//Initialsierung
  for(int i=0;i<33;i++){
     farbenSpezialAnkerB4096[i] = color(0);
  }
  farbenSpezialB4096 = new color[4096];
   for(int i=0;i<4096;i++){
     farbenSpezialB4096[i] = color(0);
  }
  farbenSpezialAnkerB4096[0] = color(0);//Startwert: schwarz
  colorMode(HSB,256,256,256);
  for(int j=1; j<32; j=j+2){
    color farbeHell = farbenHellBestimmen();
    farbenSpezialAnkerB4096[j] = farbeHell;
    farbenSpezialAnkerB4096[j+1] = color(hue(farbeHell), saturation(farbeHell),brightness(farbeHell)- random(150,220));//etwas dunkler
  }
  farbenSpezialAnkerB4096[32] = color(255);//Endwert: weiß
  
  //Hier werden die Farben von  farbenSpezialB4096 bestimmt.
  for(int i=0; i<32; i++){
     zwischenFarbenBestimmenSpezialB4096(i*128,farbenSpezialAnkerB4096[i],farbenSpezialAnkerB4096[i+1]);
  }
//--------------------------------------------------------------------------------------------------------- 

//farbenSpezialC4096--beginnt mit mitteldunkler Zufallsfarbe-------------------------------------------------------------------------------
  farbenSpezialAnkerC4096 = new color[33];//Initialsierung
  for(int i=0;i<33;i++){
     farbenSpezialAnkerC4096[i] = color(0);
  }
  farbenSpezialC4096 = new color[4096];
   for(int i=0;i<4096;i++){
     farbenSpezialC4096[i] = color(0);
  }
  farbenSpezialAnkerC4096[0] = color(random(30,150),random(30,150),random(30,150));//Startwert: zufällig mittel dunkel
  colorMode(HSB,256,256,256);
  for(int j=1; j<32; j=j+2){
    color farbeHell = farbenHellBestimmen();
    farbenSpezialAnkerC4096[j] = farbeHell;
    farbenSpezialAnkerC4096[j+1] = color(hue(farbeHell), saturation(farbeHell),brightness(farbeHell)- random(150,220));//etwas dunkler
  }
  farbenSpezialAnkerC4096[32] = color(255);//Endwert: weiß
  
  //Hier werden die Farben von  farbenSpezialC4096 bestimmt.
  for(int i=0; i<32; i++){
     zwischenFarbenBestimmenSpezialC4096(i*128,farbenSpezialAnkerC4096[i],farbenSpezialAnkerC4096[i+1]);
  }
//--------------------------------------------------------------------------------------------------------- 
} 

///////////////////////////////////////////////////////////////////////////////////////////////////////////////
color farbeBestimmen(color f){
  color farbe = color(0);//Initialisierung
  r2=random(256);
  g2=random(256);
  b2=random(256);
  S1 =red(f)+green(f)+blue(f); 
  S2 = r2+g2+b2; 
  while(abs(S1-S2)<ankerFarbenAbstand){ //je kleiner ankerFarbenAbstand, desto näher sind die Ankerfarben beieindander
     r2=random(256);
     g2=random(256);
     b2=random(256);  
     S2 = r2+g2+b2;     
  }
  farbe = color(r2,g2,b2);
  return farbe;
}
////////////////////////////////////////////////////////////////////////////////////////////
color farbenHellBestimmen(){
  colorMode(HSB,256,256,256);  
  zufall = random(2);
  hueWert = hue(round(random(256)));
  while(abs(hueWert-hue(farbeAlt))<20){//benachbarte Farbwerte verschieden
    hueWert = hue(round(random(256)));
  }
  if (zufall <1) farbe = color(hueWert,random(50,150),255); //Farbe mit maximalem Farbwert und reduzierter Sättigung
  else farbe = color(hueWert,255,255);//Farbe mit maximalem Farbwert und voller Sättigung  
  farbeAlt = farbe;
  return farbe;
}

/////////////////////////////////////////////////////////////////////////////////////
  void zwischenFarbenBestimmen8192(int k, color f1, color f2){//...für farben8192
     int start = k;
     for(int i=start; i<128+start;i++){     
        farben8192[i] = lerpColor(f1,f2,(float)(i-start)/128);    
     }
  }
  void zwischenFarbenBestimmen8192A(int k, color f1, color f2){//...für farben8192A
     int start = k;
     for(int i=start; i<128+start;i++){     
        farben8192A[i] = lerpColor(f1,f2,(float)(i-start)/128);    
     }
  }
  void zwischenFarbenBestimmenBonbon8192(int k, color f1, color f2){//...für farben8192Bonbon
     int start = k;
     for(int i=start; i<128+start;i++){     
        farben8192Bonbon  [i] = lerpColor(f1,f2,(float)(i-start)/128);    
     }
  }
  void zwischenFarbenBestimmenSemiBonbon8192(int k, color f1, color f2){//...für farben8192SemiBonbon
     int start = k;
     for(int i=start; i<128+start;i++){     
        farben8192SemiBonbon  [i] = lerpColor(f1,f2,(float)(i-start)/128);    
     }
  }
  void zwischenFarbenBestimmen1024(int k, color f1, color f2){//...für farben1024
     int start = k;
     for(int i=start; i<64+start;i++){    
        farben1024[i] = lerpColor(f1,f2,(float)(i-start)/64);    
     }
  }
  void zwischenFarbenBestimmen1024A(int k, color f1, color f2){//...für farbenTrap1024
     int start = k;
     for(int i=start; i<64+start;i++){    
        farben1024A[i] = lerpColor(f1,f2,(float)(i-start)/64);    
     }
  }
  void zwischenFarbenBestimmenTrap1024(int k, color f1, color f2){//...für farbenTrap1024
     int start = k;
     for(int i=start; i<256+start;i++){    
        farbenTrap1024[i] = lerpColor(f1,f2,(float)(i-start)/64);     
     }
  }
  void zwischenFarbenBestimmen8Kreise1152(int k,color f1, color f2){//...für farben8Kreise1152
     int start = k;
     for(int i =start; i<64+start;i++){
       farben8Kreise1152[i] = lerpColor(f1,f2,(float)(i-start)/64);     
       //println(red(farben8Kreise1152[i]),green(farben8Kreise1152[i]),blue(farben8Kreise1152[i]));
     }
   }  
  void zwischenFarbenBestimmen2048(int k, color f1, color f2){ //...für farben2048{
    int start = k;
     for(int i=start; i<64+start;i++){    
        farben2048[i] = lerpColor(f1,f2,(float)(i-start)/64);    
     } 
  }
  void zwischenFarbenBestimmenSpezial2048(int k, color f1, color f2){ //...für farbenSpezial2048{
    int start = k;
     for(int i=start; i<64+start;i++){    
        farbenSpezial2048[i] = lerpColor(f1,f2,(float)(i-start)/64);    
     } 
  }
  void zwischenFarbenBestimmenSpezial4096(int k, color f1, color f2){ //...für farbenSpezial4096{
    int start = k;
     for(int i=start; i<64+start;i++){    
        farbenSpezial4096[i] = lerpColor(f1,f2,(float)(i-start)/64);    
     } 
  }
  void zwischenFarbenBestimmenSpezialA4096(int k, color f1, color f2){ //...für farbenSpezialA4096{
    int start = k;
     for(int i=start; i<128+start;i++){    
        farbenSpezialA4096[i] = lerpColor(f1,f2,(float)(i-start)/128);    
     } 
  }
  void zwischenFarbenBestimmenSpezialB4096(int k, color f1, color f2){ //...für farbenSpezialA4096{
    int start = k;
     for(int i=start; i<128+start;i++){    
        farbenSpezialB4096[i] = lerpColor(f1,f2,(float)(i-start)/128);    
     } 
  }
  void zwischenFarbenBestimmenSpezialC4096(int k, color f1, color f2){ //...für farbenSpezialA4096{
    int start = k;
     for(int i=start; i<128+start;i++){    
        farbenSpezialC4096[i] = lerpColor(f1,f2,(float)(i-start)/128);    
     } 
  }
}

/* for (int i = 0; i < 8; i++) {
    float r = random(150,255);
    float g = random(150,255);
    float b = random(150,255);
    farben8KreiseAnker1152[i][0] = color(r,g,b);
    farben8KreiseAnker1152[i][1] = color(r-140,g-140,b-140); 
    //println(); 
 }*/
